CommonsLoggingListener (Apache Ant API)
Keywords: org.apache.tools.ant.listener.CommonsLoggingListener class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.listener
Class CommonsLoggingListener

    java.lang.Object
      org.apache.tools.ant.listener.CommonsLoggingListener

All Implemented Interfaces:
  BuildListener, java.util.EventListener

public class CommonsLoggingListener
extends java.lang.Object
implements BuildListener

Jakarta Commons Logging listener. Note: do not use the SimpleLog as your logger implementation as it causes an infinite loop since it writes to System.err, which Ant traps and reroutes to the logger/listener layer.

Since:
  Ant 1.5
Author:
  Erik Hatcher

Constructor Summary
`CommonsLoggingListener()` Construct the listener and make sure that a LogFactory can be obtained.

Method Summary
`void` | `buildFinished(BuildEvent event)` Signals that the last target has finished.
`void` | `buildStarted(BuildEvent event)` Signals that a build has started.
`void` | `messageLogged(BuildEvent event)` Signals a message logging event.
`void` | `targetFinished(BuildEvent event)` Signals that a target has finished.
`void` | `targetStarted(BuildEvent event)` Signals that a target is starting.
`void` | `taskFinished(BuildEvent event)` Signals that a task has finished.
`void` | `taskStarted(BuildEvent event)` Signals that a task is starting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonsLoggingListener

    public CommonsLoggingListener()

  Construct the listener and make sure that a LogFactory can be obtained.

Method Detail

### buildStarted

    public void buildStarted(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals that a build has started. This event is fired before any targets have started.

  Specified by:
    `buildStarted` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildListener.buildStarted(org.apache.tools.ant.BuildEvent)`

### buildFinished

    public void buildFinished(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals that the last target has finished. This event will still be fired if an error occurred during the build.

  Specified by:
    `buildFinished` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildListener.buildFinished(org.apache.tools.ant.BuildEvent)`

### targetStarted

    public void targetStarted(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals that a target is starting.

  Specified by:
    `targetStarted` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildListener.targetStarted(org.apache.tools.ant.BuildEvent)`

### targetFinished

    public void targetFinished(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals that a target has finished. This event will still be fired if an error occurred during the build.

  Specified by:
    `targetFinished` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildListener.targetFinished(org.apache.tools.ant.BuildEvent)`

### taskStarted

    public void taskStarted(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals that a task is starting.

  Specified by:
    `taskStarted` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildListener.taskStarted(org.apache.tools.ant.BuildEvent)`

### taskFinished

    public void taskFinished(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals that a task has finished. This event will still be fired if an error occurred during the build.

  Specified by:
    `taskFinished` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildListener.taskFinished(org.apache.tools.ant.BuildEvent)`

### messageLogged

    public void messageLogged(BuildEvent event)

  Description copied from interface: `BuildListener`
  Signals a message logging event.

  Specified by:
    `messageLogged` in interface `BuildListener`
  Parameters:
    `event` - An event with any relevant extra information. Must not be `null`.
  See Also:
    `BuildListener.messageLogged(org.apache.tools.ant.BuildEvent)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.